Scrum - Defect #1494

Internal Server Error
2017-10-23 10:50 - Pavel Pavel

Status: Rejected
Priority: Normal
Category: Settings & admin
Target version: Scrum v0.18.1
Source: Development Blocked: No
Detected on version: Scrum v0.18.0 Alone: No
Description
Environment:
Redmine version 3.4.3.stable.17016
Ruby version 1.9.3-p327 (2012-11-10) [i686-1inux]
Rails version 4.2.8
Environment production
Database adapter Mysqgl2
SCM:
Subversion 1.8.8
Git 1.7.1
Filesystem
Redmine plugins:
advanced_roadmap_v2 2.4.3
redmine_agile 1.4.5
redmine_lightbox2 0.4.3
redmine_timesheet_plugin 0.7.0
redmine_xls_export 0.2.1.t10
scrum 0.18.0

Started GET "/settings/plugin/scrum" for 127.0.0.1 at 2017-10-23 12:41:44 +0200
Processing by SettingsController#plugin as HTML
Parameters: {"id"=>"scrum"}
Current user: ppo (1d=95)
Rendered plugins/scrum/app/views/settings/_license.js.erb (0.5ms)
Rendered plugins/scrum/app/views/settings/_license.html.erb (1.7ms)
Rendered plugins/scrum/app/views/help/scrum/_settings.html.erb (0.4ms)
Rendered plugins/scrum/app/views/help/_support.html.erb (0.8ms)
Rendered plugins/scrum/app/views/help/_help.js.erb (0.6ms)
Rendered plugins/scrum/app/views/help/_help.html.erb (4.2ms)
Rendered plugins/scrum/app/views/settings/_scrum_settings.html.erb (226.1ms)
Rendered settings/plugin.html.erb within layouts/admin (227.9ms)
Completed 500 Internal Server Error in 242ms (ActiveRecord: 11.5ms)

Module Scrum doesn't work in projects too.

History

#1 - 2017-11-01 18:11 - Emilio Gonzalez Montaha

| need a debug log instead of a production one.

#2 - 2017-11-15 22:45 - Tomasz Garbowski
Maybe this will help:

Started GET "/settings/plugin/scrum" for .... at 2017-11-07 14:38:04 +0000
Processing by SettingsController#plugin as HTML

Parameters: {"id"=>"scrum"}

[Im[35mSQL (54.4ms) [Om UPDATE “tokens’ SET "tokens' . updated_on® = '2017-11-07 14:38:04' WHERE "tokens . us
er_id® = 3 AND "tokens . value' = '46b20cbdf7a2cdc0d4d28cf8blffaca26a3e6115' AND " tokens' . action® = 'session'

[Im[36m (0.1lms) [Om [ImSELECT MAX( settings’ . updated_on') FROM "settings’ [Om

[Im[35mUser Load (0.lms) [Om SELECT ‘“users .* FROM “users  WHERE ‘users . type  IN ('User',K 'AnonymousUser'
) AND “users . status® = 1 AND “users . id' = 3 LIMIT 1

Current user: tgarbowski (id=3)
Rendered plugins/scrum/app/views/settings/_license.js.erb (0.4ms)

Rendered plugins/scrum/app/views/settings/_license.html.erb (1.3ms)

Rendered plugins/scrum/app/views/help/scrum/_settings.html.erb (0.3ms)

Rendered plugins/scrum/app/views/help/_support.html.erb (0.5ms)

Rendered plugins/scrum/app/views/help/_help.js.erb (0.4ms)

Rendered plugins/scrum/app/views/help/_help.html.erb (3.3ms)

[Im[36mCustomField Load (0.lms) [Om [ImSELECT "“custom_fields .* FROM "custom_fields’ WHERE "custom_fields .’

type’ = 'IssueCustomField' AND "custom_fields . field_ format®™ IN ('int', 'float', 'string', 'list') [Om
[Im[35mCustomField Load (0.lms) [Om SELECT “custom_fields  .* FROM " custom_fields® WHERE " custom_fields . typ
e’ = 'IssueCustomField' AND "custom_fields . field_ format® = 'bool'
[Im[36mCACHE (0.0ms) [Om [1mSELECT "custom_fields  .* FROM "“custom_fields'® WHERE " custom_fields . type = 'Is
sueCustomField' AND "custom_fields . field format®™ = 'bool'[Om [["type", "IssueCustomField"]]

[Im[35mTracker Load (0.lms)[Om SELECT " trackers .* FROM "trackers
[Im[36mCACHE (0.0ms) [Om [1mSELECT ‘trackers .* FROM 'trackers' [Om
[Im[35mIssueCustomField Load (0.1lms) [Om SELECT "“custom_fields  .* FROM 'custom_fields® INNER JOIN "custom_fi

elds_trackers® ON “custom_fields . id’ = “custom_fields_trackers . custom_field_id® WHERE " custom_fields . typ
e’ IN ('IssueCustomField') AND ‘custom_fields_trackers . tracker_id' =1

[Im[36mIssueCustomField Load (0.1ms) [Om [1ImSELECT "custom_fields' .* FROM "custom_fields' INNER JOIN " custom
_fields_trackers®™ ON "“custom_fields . id" = “custom_fields_trackers . custom_field_id’® WHERE " custom_fields .
type’ IN ('IssueCustomField') AND "custom_fields_trackers . tracker_id = 2[0m

[Im[35mIssueCustomField Load (0.lms) [Om SELECT "custom_fields  .* FROM 'custom_fields® INNER JOIN "custom_fi
elds_trackers® ON "“custom_fields . id’ = “custom_fields_trackers . custom_field_id® WHERE " custom_fields . typ
e’ IN ('IssueCustomField') AND ‘custom_fields_trackers . tracker_id' = 3

[Im[36mIssueCustomField Load (0.1ms) [Om [1ImSELECT "custom_fields ' .* FROM "custom_fields' INNER JOIN " custom
_fields_trackers®™ ON "custom_fields . id" = “custom_fields_trackers . custom_field_id’® WHERE " custom_fields .
type’ IN ('IssueCustomField') AND "custom_fields_trackers . tracker_id" = 4[0m

[Im[35mIssueCustomField Load (0.lms) [Om SELECT "“custom_fields  .* FROM 'custom_fields® INNER JOIN " custom_fi
elds_trackers® ON “custom_fields . id’ = “custom_fields_trackers . custom_field_id® WHERE " custom_fields . typ
e’ IN ('IssueCustomField') AND ‘custom_fields_trackers . tracker_id' = 5

[Im[36mIssueStatus Load (0.1lms) [Om [ImSELECT " issue_statuses .* FROM 'issue_statuses’ [Om

[Im[35mCACHE (0.0ms) [Om SELECT "trackers .* FROM "trackers’

[Im[36mCACHE (0.0ms) [Om [1ImSELECT ‘issue_statuses .* FROM " issue_statuses [Om

[Im[35mCACHE (0.0ms) [Om SELECT " issue_statuses .* FROM 'issue_statuses’

[lm[36mEnumeration Load (0.1lms) [Om [ImSELECT " enumerations’ .* FROM " enumerations’ WHERE " enumerations . typ
e’ = 'TimeEntryActivity' ORDER BY " enumerations’ . position® ASC[Om

Rendered plugins/scrum/app/views/settings/_scrum_settings.html.erb (74.4ms)

Rendered settings/plugin.html.erb within layouts/admin (126.5ms)
Completed 500 Internal Server Error in 188ms (ActiveRecord: 56.0ms)

Started GET "/settings/plugin/scrum" for ........ at 2017-11-07 14:40:02 +0000
Processing by SettingsController#plugin as HTML

Parameters: "id"=>"scrum"}

[Im[35mSQL (60.1ms) [Om UPDATE " tokens  SET "tokens . updated_on® = '2017-11-07 14:40:02' WHERE " tokens . us
er_id® = 3 AND "tokens . value = '46b20cbdf7a2cdc0d4d28cf8blffaba26a3e6115' AND "tokens . action’ = 'session'

[Im[36m (0.1lms) [Om [ImSELECT MAX( settings’ . updated_on’) FROM " settings’ [Om

[Im[35mUser Load (0.lms)[Om SELECT “users .* FROM “users  WHERE “users’ . type  IN ('User',6 'AnonymousUser'
) AND “users . status’ = 1 AND ‘users . id’ = 3 LIMIT 1

Current user: tgarbowski (id=3)

Rendered plugins/scrum/app/views/settings/_license.Jjs.erb (0.1lms)

Rendered plugins/scrum/app/views/settings/_license.html.erb (0.3ms)

Rendered plugins/scrum/app/views/help/scrum/_settings.html.erb (0.0ms)

Rendered plugins/scrum/app/views/help/_support.html.erb (0.2ms)

Rendered plugins/scrum/app/views/help/_help.js.erb (0.1lms)

Rendered plugins/scrum/app/views/help/_help.html.erb (0.7ms)

[Im[36mCustomField Load (0.1lms) [Om [ImSELECT "“custom_fields .* FROM "custom_fields® WHERE "custom_fields .’

type’ = 'IssueCustomField' AND "custom_fields . field_format® IN ('int', 'float', 'string', 'list') [Om
[Ilm[35mCustomField Load (0.lms) [Om SELECT “custom_fields  .* FROM " custom_fields' WHERE " custom_fields' . typ
e’ = 'IssueCustomField' AND ‘custom_fields' . field_format® = 'bool'
[Im[36mCACHE (0.0ms) [Om [1mSELECT "custom_fields  .* FROM "“custom_fields® WHERE " custom_fields . type = 'Is
sueCustomField' AND ‘custom_fields . field_ format® = 'bool'[Om [["type", "IssueCustomField"]]

[Im[35mTracker Load (0.lms)[0Om SELECT " trackers' .* FROM "trackers’
[Im[36mCACHE (0.0ms) [Om [1ImSELECT "trackers  .* FROM " trackers’ [Om
[Im[35mIssueCustomField Load (0.1lms) [Om SELECT "“custom_fields  .* FROM 'custom_fields'® INNER JOIN " custom_fi

elds_trackers®™ ON “custom_fields . id’ = “custom_fields_trackers . custom_field_id ' WHERE " custom_fields . typ
e’ IN ('IssueCustomField') AND "custom_fields_trackers . tracker_id® =1

[Im[36mIssueCustomField Load (0.1ms) [Om [1mSELECT "custom_fields  .* FROM " custom_fields’® INNER JOIN ' custom
_fields_trackers’® ON ‘custom_fields . id' = “custom_fields_trackers’ . custom_field_id’ WHERE " custom_fields .’
type’ IN ('IssueCustomField') AND "custom_fields_trackers . tracker_id® = 2[0m

[Im[35mIssueCustomField Load (0.lms) [Om SELECT "“custom_fields  .* FROM 'custom_fields'® INNER JOIN " custom_fi
elds_trackers®™ ON “custom_fields . id’ = “custom_fields_trackers . custom_field_id’® WHERE " custom_fields . typ
e’ IN ('IssueCustomField') AND ‘custom_fields_trackers’ . tracker_id® = 3

[Im[36mIssueCustomField Load (0.1lms) [Om [1mSELECT "custom_fields  .* FROM " custom_fields' INNER JOIN ' custom
_fields_trackers’® ON ‘custom_fields . id' = “custom_fields_trackers’ . custom_field_id’ WHERE " custom_fields .’
type’ IN ('IssueCustomField') AND "custom_fields_trackers . tracker_id® = 4[0m

[Im[35mIssueCustomField Load (0.lms) [Om SELECT "custom_fields  .* FROM 'custom_fields'® INNER JOIN " custom_fi
elds_trackers®™ ON “custom_fields . id’ = “custom_fields_trackers . custom_field_id’® WHERE " custom_fields . typ
e’ IN ('IssueCustomField') AND ‘custom_fields_trackers . tracker_id® = 5

[Im[36mIssueStatus Load (0.1lms) [Om [1ImSELECT " issue_statuses .* FROM 'issue_statuses’ [Om

[Im[35mCACHE (0.0ms) [Om SELECT " trackers' .* FROM "trackers’

[Im[36mCACHE (0.0ms) [Om [1ImSELECT " issue_statuses’ .* FROM "~ issue_statuses [Om

[Im[35mCACHE (0.0ms) [Om SELECT " issue_statuses .* FROM 'issue_statuses’

[Im[36mEnumeration Load (0.1ms) [Om [1ImSELECT " enumerations’ .* FROM enumerations’

e’ = 'TimeEntryActivity' ORDER BY "enumerations’ . position® ASC[Om

Rendered plugins/scrum/app/views/settings/_scrum_settings.html.erb (18.8ms)

Rendered settings/plugin.html.erb within layouts/admin (19.4ms)
Completed 500 Internal Server Error in 83ms (ActiveRecord: 60.9ms)

My setup is:

Environment:
Redmine version 3.4.2.stable
Ruby version 1.9.3-pl94 (2012-04-20) [1486-1linux]
Rails version 4.2.8
Environment production
Database adapter Mysqgl2

SCM:
Subversion 1.8.19
Mercurial 2.2.
Bazaar 2.6.0
Git 1.9.1
Filesystem

Redmine plugins:
redmine_github_hook 2.2.0
scrum 0.18.1

#3 - 2021-02-20 16:27 - Tomasz Garbowski

Tomasz Garbowski wrote in #note-2:
Maybe this will help:
[-]
My setup is:

(-]

In my case, | manage to get the settings page to load only if | comment out all the link generation code for the labels in _scrum_settings.html.erb:

<%= link_to('', '#', :class => "icon #{ScrumHelper::LOWEST_SPEED_ICON}") %>
<%= link_to('', '#', :class => "icon #{ScrumHelper::LOW_SPEED_ICON}") %>
<%= link_to('', '#', :class => "icon #{ScrumHelper::HIGH_SPEED_ICON}") %>

should I have those icons

DEVIATION_ICONS = [LOWEST_SPEED_ICON = "icon-major-deviation",
LOW_SPEED_ICON = "icon-minor-deviation",
HIGH_SPEED_ICON = "icon-below-deviation"]

somewhere in my assets? | do not see any of them there.

#4 - 2021-05-29 09:24 - Emilio Gonzalez Montaina

WHERE "~ enumerations’

It seems a deployment issue, did you have any special assets loading that needs assets to be regenerated in plugins manually?

#5 - 2021-05-29 09:24 - Emilio Gonzalez Montaina

- Status changed from New to Rejected
